ByCloud Docs
GuidesCLIAPISDK
get/v1/zones/{zone_id}/recordsets

List recordsets

List all recordsets in a DNS zone

Path Parameters

zone_id

string<uuid>required

path

DNS Zone ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Query Parameters

limit

integeroptional

query

Maximum number of items to return

Default: 20

Example: 20

marker

string<uuid>optional

query

ID of the last item from the previous page (for pagination)

Example: "550e8400-e29b-41d4-a716-446655440000"

name

stringoptional

query

Filter by name (exact match or prefix with *)

Example: "web-*"

status

stringoptional

query

Filter by status

Example: "ACTIVE"

type

stringoptional

query

Filter by record type

Enum: "A", "AAAA", "CNAME", "MX", "NS", "PTR", "SOA", "SPF", "SRV", "SSHFP", "TXT", "CAA", "NAPTR"

Responses

200

List of recordsets

Content-Type: application/json

recordsets

arrayoptional

meta

objectoptional

links

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Zone not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X GET "https://api.spo1.mycloud.com/v1/zones/550e8400-e29b-41d4-a716-446655440000/recordsets" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

List of recordsets

{
"recordsets": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:dns:recordset:550e8400-e29b-41d4-a716-446655440000",
"zone_id": "550e8400-e29b-41d4-a716-446655440001",
"zone_name": "example.com.",
"name": "www.example.com.",
"description": "string",
"status": "ACTIVE",
"action": "NONE",
"type": "A",
"ttl": 300,
"records": [
"192.168.1.10",
"192.168.1.11"
],
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
],
"meta": {
"total": 150,
"limit": 20,
"marker": "550e8400-e29b-41d4-a716-446655440000",
"has_more": true
},
"links": {
"self": "https://api.spo1.mycloud.com/v1/instances?limit=20",
"next": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=550e8400-e29b-41d4-a716-446655440000",
"previous": "https://api.spo1.mycloud.com/v1/instances?limit=20&marker=440e8400-e29b-41d4-a716-446655440000"
}
}